import { Position, ValidConnectionFunc } from '../../types';
declare const _default: import("vue").DefineComponent<{
    data: {
        type: import("vue").PropType<any>;
    } & {
        default: () => void;
    };
    connectable: {
        type: import("vue").PropType<boolean>;
    } & {
        default: boolean;
    };
    targetPosition: {
        type: import("vue").PropType<Position>;
    } & {
        default: Position;
    };
    isValidTargetPos: {
        type: import("vue").PropType<ValidConnectionFunc>;
    };
    id: {
        type: import("vue").PropType<string>;
        required: true;
    };
    type: {
        type: import("vue").PropType<string>;
    };
    selected: {
        type: import("vue").PropType<boolean>;
    };
    xPos: {
        type: import("vue").PropType<number>;
    };
    yPos: {
        type: import("vue").PropType<number>;
    };
    sourcePosition: {
        type: import("vue").PropType<Position>;
    };
    dragging: {
        type: import("vue").PropType<boolean>;
    };
    isValidSourcePos: {
        type: import("vue").PropType<ValidConnectionFunc>;
    };
    __vf: {
        type: import("vue").PropType<import("../../types").VFInternals>;
        required: true;
    };
    position: {
        type: import("vue").PropType<import("../../types").XYPosition>;
        required: true;
    };
    class: {
        type: import("vue").PropType<string>;
    };
    style: {
        type: import("vue").PropType<import("vue").CSSProperties>;
    };
    isHidden: {
        type: import("vue").PropType<boolean>;
    };
    draggable: {
        type: import("vue").PropType<import("../../types").Draggable>;
    };
    selectable: {
        type: import("vue").PropType<boolean>;
    };
    dragHandle: {
        type: import("vue").PropType<string>;
    };
    snapGrid: {
        type: import("vue").PropType<import("../../types").SnapGrid>;
    };
}, () => void, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    data?: unknown;
    connectable?: unknown;
    targetPosition?: unknown;
    isValidTargetPos?: unknown;
    id?: unknown;
    type?: unknown;
    selected?: unknown;
    xPos?: unknown;
    yPos?: unknown;
    sourcePosition?: unknown;
    dragging?: unknown;
    isValidSourcePos?: unknown;
    __vf?: unknown;
    position?: unknown;
    class?: unknown;
    style?: unknown;
    isHidden?: unknown;
    draggable?: unknown;
    selectable?: unknown;
    dragHandle?: unknown;
    snapGrid?: unknown;
} & {
    position: import("../../types").XYPosition;
    id: string;
    data: void;
    connectable: boolean;
    targetPosition: Position;
    __vf: import("../../types").VFInternals;
} & {
    type?: string | undefined;
    selected?: boolean | undefined;
    xPos?: number | undefined;
    yPos?: number | undefined;
    sourcePosition?: Position | undefined;
    dragging?: boolean | undefined;
    isValidTargetPos?: ValidConnectionFunc | undefined;
    isValidSourcePos?: ValidConnectionFunc | undefined;
    class?: string | undefined;
    style?: import("vue").CSSProperties | undefined;
    isHidden?: boolean | undefined;
    draggable?: import("../../types").Draggable | undefined;
    selectable?: boolean | undefined;
    dragHandle?: string | undefined;
    snapGrid?: import("../../types").SnapGrid | undefined;
}>, {
    data: void;
    connectable: boolean;
    targetPosition: Position;
}>;
export default _default;
