import { Edge, EdgePositions, ElementId, GraphNode, HandleElement, Position, Transform, XYPosition, FlowElements, GraphEdge } from "../types";
export declare function getHandlePosition(position: Position, node: GraphNode, handle?: HandleElement): XYPosition;
export declare function getHandle(bounds: HandleElement[], handleId?: ElementId): HandleElement | undefined;
export declare const getEdgePositions: (sourceNode: GraphNode, sourceHandle: HandleElement | undefined, sourcePosition: Position, targetNode: GraphNode, targetHandle: HandleElement | undefined, targetPosition: Position) => EdgePositions;
interface IsEdgeVisibleParams {
    sourcePos: XYPosition;
    targetPos: XYPosition;
    width: number;
    height: number;
    transform: Transform;
}
export declare function isEdgeVisible({ sourcePos, targetPos, width, height, transform }: IsEdgeVisibleParams): boolean;
export declare const getSourceTargetNodes: (edge: GraphEdge | Edge, elements: FlowElements<any>) => {
    sourceNode: GraphNode<any>;
    targetNode: GraphNode<any>;
};
export {};
