import { CSSProperties } from 'vue';
import { ArrowHeadType, EdgeTextProps, Position } from '../../types';
declare const _default: import("vue").DefineComponent<{
    id: {
        type: import("vue").PropType<string>;
        required: true;
    };
    source: {
        type: import("vue").PropType<string>;
        required: true;
    };
    target: {
        type: import("vue").PropType<string>;
        required: true;
    };
    sourceX: {
        type: import("vue").PropType<number>;
        required: true;
    };
    sourceY: {
        type: import("vue").PropType<number>;
        required: true;
    };
    targetX: {
        type: import("vue").PropType<number>;
        required: true;
    };
    targetY: {
        type: import("vue").PropType<number>;
        required: true;
    };
    selected: {
        type: import("vue").PropType<boolean>;
    } & {
        default: boolean;
    };
    animated: {
        type: import("vue").PropType<boolean>;
    };
    sourcePosition: {
        type: import("vue").PropType<Position>;
        required: true;
    } & {
        default: Position;
    };
    targetPosition: {
        type: import("vue").PropType<Position>;
        required: true;
    } & {
        default: Position;
    };
    label: {
        type: import("vue").PropType<string | {
            component: any;
            props?: (Record<string, any> & Partial<EdgeTextProps>) | undefined;
        }>;
    } & {
        default: string;
    };
    labelStyle: {
        type: import("vue").PropType<CSSProperties>;
    } & {
        default: () => {};
    };
    labelShowBg: {
        type: import("vue").PropType<boolean>;
    } & {
        default: boolean;
    };
    labelBgStyle: {
        type: import("vue").PropType<CSSProperties>;
    } & {
        default: () => {};
    };
    labelBgPadding: {
        type: import("vue").PropType<[number, number]>;
    };
    labelBgBorderRadius: {
        type: import("vue").PropType<number>;
    };
    arrowHeadType: {
        type: import("vue").PropType<ArrowHeadType>;
    };
    markerEndId: {
        type: import("vue").PropType<string>;
    };
    borderRadius: {
        type: import("vue").PropType<number>;
    };
    sourceHandleId: {
        type: import("vue").PropType<string | null>;
    };
    targetHandleId: {
        type: import("vue").PropType<string | null>;
    };
    sourceNode: {
        type: import("vue").PropType<import("../../types").GraphNode<any>>;
        required: true;
    };
    targetNode: {
        type: import("vue").PropType<import("../../types").GraphNode<any>>;
        required: true;
    };
    type: {
        type: import("vue").PropType<string>;
    };
    sourceHandle: {
        type: import("vue").PropType<string>;
    };
    targetHandle: {
        type: import("vue").PropType<string>;
    };
    style: {
        type: import("vue").PropType<unknown>;
    };
    data: {
        type: import("vue").PropType<any>;
    };
    class: {
        type: import("vue").PropType<string>;
    };
    isHidden: {
        type: import("vue").PropType<boolean>;
    };
}, () => void, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    id?: unknown;
    source?: unknown;
    target?: unknown;
    sourceX?: unknown;
    sourceY?: unknown;
    targetX?: unknown;
    targetY?: unknown;
    selected?: unknown;
    animated?: unknown;
    sourcePosition?: unknown;
    targetPosition?: unknown;
    label?: unknown;
    labelStyle?: unknown;
    labelShowBg?: unknown;
    labelBgStyle?: unknown;
    labelBgPadding?: unknown;
    labelBgBorderRadius?: unknown;
    arrowHeadType?: unknown;
    markerEndId?: unknown;
    borderRadius?: unknown;
    sourceHandleId?: unknown;
    targetHandleId?: unknown;
    sourceNode?: unknown;
    targetNode?: unknown;
    type?: unknown;
    sourceHandle?: unknown;
    targetHandle?: unknown;
    style?: unknown;
    data?: unknown;
    class?: unknown;
    isHidden?: unknown;
} & {
    source: string;
    target: string;
    id: string;
    selected: boolean;
    targetPosition: Position;
    sourcePosition: Position;
    sourceX: number;
    sourceY: number;
    targetX: number;
    targetY: number;
    sourceNode: import("../../types").GraphNode<any>;
    targetNode: import("../../types").GraphNode<any>;
    label: string | {
        component: any;
        props?: (Record<string, any> & Partial<EdgeTextProps>) | undefined;
    };
    labelStyle: CSSProperties;
    labelShowBg: boolean;
    labelBgStyle: CSSProperties;
} & {
    type?: string | undefined;
    data?: unknown;
    class?: string | undefined;
    style?: unknown;
    isHidden?: boolean | undefined;
    markerEndId?: string | undefined;
    sourceHandleId?: string | null | undefined;
    targetHandleId?: string | null | undefined;
    sourceHandle?: string | undefined;
    targetHandle?: string | undefined;
    labelBgPadding?: [number, number] | undefined;
    labelBgBorderRadius?: number | undefined;
    animated?: boolean | undefined;
    arrowHeadType?: ArrowHeadType | undefined;
    borderRadius?: number | undefined;
}>, {
    selected: boolean;
    targetPosition: Position;
    sourcePosition: Position;
    label: string | {
        component: any;
        props?: (Record<string, any> & Partial<EdgeTextProps>) | undefined;
    };
    labelStyle: CSSProperties;
    labelShowBg: boolean;
    labelBgStyle: CSSProperties;
}>;
export default _default;
